_Display_Init:
;SignalRelayPIC32.c,82 :: 		void Display_Init()
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;SignalRelayPIC32.c,84 :: 		TFT_BLED_Direction = 0;
SW	R25, 4(SP)
SW	R26, 8(SP)
LUI	R2, BitMask(TRISD2_bit+0)
ORI	R2, R2, BitMask(TRISD2_bit+0)
_SX	
;SignalRelayPIC32.c,85 :: 		TFT_Init_ILI9341_8bit(320, 240);
ORI	R26, R0, 240
ORI	R25, R0, 320
JAL	_TFT_Init_ILI9341_8bit+0
NOP	
;SignalRelayPIC32.c,86 :: 		TFT_BLED = 1;
LUI	R2, BitMask(LATD2_bit+0)
ORI	R2, R2, BitMask(LATD2_bit+0)
_SX	
;SignalRelayPIC32.c,87 :: 		}
L_end_Display_Init:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _Display_Init
_DrawFrame:
;SignalRelayPIC32.c,90 :: 		void DrawFrame()
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;SignalRelayPIC32.c,92 :: 		TFT_Fill_Screen(CL_WHITE);
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
SW	R28, 16(SP)
ORI	R25, R0, 65535
JAL	_TFT_Fill_Screen+0
NOP	
;SignalRelayPIC32.c,93 :: 		TFT_Set_Pen(CL_BLACK, 1);
ORI	R26, R0, 1
MOVZ	R25, R0, R0
JAL	_TFT_Set_Pen+0
NOP	
;SignalRelayPIC32.c,94 :: 		TFT_Set_Brush(1,CL_BLACK, 0, 0, CL_BLACK, CL_BLACK);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
ORI	R25, R0, 1
ADDIU	SP, SP, -4
SH	R0, 2(SP)
SH	R0, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;SignalRelayPIC32.c,95 :: 		TFT_Line(20, 220, 300, 220);
ORI	R28, R0, 220
ORI	R27, R0, 300
ORI	R26, R0, 220
ORI	R25, R0, 20
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,96 :: 		TFT_Line(5,  46, 315,  46);
ORI	R28, R0, 46
ORI	R27, R0, 315
ORI	R26, R0, 46
ORI	R25, R0, 5
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,97 :: 		TFT_Set_Font(&HandelGothic_BT21x22_Regular, CL_BLACK, FO_HORIZONTAL);
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_HandelGothic_BT21x22_Regular+0)
ORI	R25, R25, lo_addr(_HandelGothic_BT21x22_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;SignalRelayPIC32.c,98 :: 		TFT_Write_Text("Signal Relay  Click  Board  Example", 5, 14);
ORI	R27, R0, 14
ORI	R26, R0, 5
LUI	R25, hi_addr(?lstr1_SignalRelayPIC32+0)
ORI	R25, R25, lo_addr(?lstr1_SignalRelayPIC32+0)
JAL	_TFT_Write_Text+0
NOP	
;SignalRelayPIC32.c,99 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL);
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_Verdana12x13_Regular+0)
ORI	R25, R25, lo_addr(_Verdana12x13_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;SignalRelayPIC32.c,100 :: 		TFT_Write_Text("EasyPIC Fusion v7 for P32", 19, 223);
ORI	R27, R0, 223
ORI	R26, R0, 19
LUI	R25, hi_addr(?lstr2_SignalRelayPIC32+0)
ORI	R25, R25, lo_addr(?lstr2_SignalRelayPIC32+0)
JAL	_TFT_Write_Text+0
NOP	
;SignalRelayPIC32.c,101 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL);
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_Verdana12x13_Regular+0)
ORI	R25, R25, lo_addr(_Verdana12x13_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;SignalRelayPIC32.c,102 :: 		TFT_Write_Text("www.mikroe.com", 200, 223);
ORI	R27, R0, 223
ORI	R26, R0, 200
LUI	R25, hi_addr(?lstr3_SignalRelayPIC32+0)
ORI	R25, R25, lo_addr(?lstr3_SignalRelayPIC32+0)
JAL	_TFT_Write_Text+0
NOP	
;SignalRelayPIC32.c,104 :: 		TFT_Write_Text("RELAY 1:", 10, 90 );
ORI	R27, R0, 90
ORI	R26, R0, 10
LUI	R25, hi_addr(?lstr4_SignalRelayPIC32+0)
ORI	R25, R25, lo_addr(?lstr4_SignalRelayPIC32+0)
JAL	_TFT_Write_Text+0
NOP	
;SignalRelayPIC32.c,105 :: 		TFT_Write_Text("RELAY 2:", 170, 90 );
ORI	R27, R0, 90
ORI	R26, R0, 170
LUI	R25, hi_addr(?lstr5_SignalRelayPIC32+0)
ORI	R25, R25, lo_addr(?lstr5_SignalRelayPIC32+0)
JAL	_TFT_Write_Text+0
NOP	
;SignalRelayPIC32.c,106 :: 		TFT_Write_Text("RELAY 3:", 10, 150);
ORI	R27, R0, 150
ORI	R26, R0, 10
LUI	R25, hi_addr(?lstr6_SignalRelayPIC32+0)
ORI	R25, R25, lo_addr(?lstr6_SignalRelayPIC32+0)
JAL	_TFT_Write_Text+0
NOP	
;SignalRelayPIC32.c,107 :: 		TFT_Write_Text("RELAY 4:", 170, 150 );
ORI	R27, R0, 150
ORI	R26, R0, 170
LUI	R25, hi_addr(?lstr7_SignalRelayPIC32+0)
ORI	R25, R25, lo_addr(?lstr7_SignalRelayPIC32+0)
JAL	_TFT_Write_Text+0
NOP	
;SignalRelayPIC32.c,109 :: 		TFT_Set_Pen(CL_RED, 5);
ORI	R26, R0, 5
ORI	R25, R0, 63488
JAL	_TFT_Set_Pen+0
NOP	
;SignalRelayPIC32.c,110 :: 		TFT_Set_Brush(1, CL_RED, 0, 0, CL_RED, CL_RED);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
ORI	R25, R0, 1
ORI	R2, R0, 63488
ADDIU	SP, SP, -4
SH	R2, 2(SP)
ORI	R2, R0, 63488
SH	R2, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;SignalRelayPIC32.c,113 :: 		TFT_Line(80, 100, 100, 100);
ORI	R28, R0, 100
ORI	R27, R0, 100
ORI	R26, R0, 100
ORI	R25, R0, 80
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,114 :: 		TFT_Line(130, 100, 150, 100);
ORI	R28, R0, 100
ORI	R27, R0, 150
ORI	R26, R0, 100
ORI	R25, R0, 130
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,115 :: 		TFT_Line(100, 100, 130, 80);    // OPEN switch
ORI	R28, R0, 80
ORI	R27, R0, 130
ORI	R26, R0, 100
ORI	R25, R0, 100
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,118 :: 		TFT_Line(240, 100, 260, 100);
ORI	R28, R0, 100
ORI	R27, R0, 260
ORI	R26, R0, 100
ORI	R25, R0, 240
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,119 :: 		TFT_Line(290, 100, 310, 100);
ORI	R28, R0, 100
ORI	R27, R0, 310
ORI	R26, R0, 100
ORI	R25, R0, 290
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,120 :: 		TFT_Line(260, 100, 290, 80);    // OPEN switch
ORI	R28, R0, 80
ORI	R27, R0, 290
ORI	R26, R0, 100
ORI	R25, R0, 260
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,123 :: 		TFT_Line(80, 155, 100, 155);
ORI	R28, R0, 155
ORI	R27, R0, 100
ORI	R26, R0, 155
ORI	R25, R0, 80
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,124 :: 		TFT_Line(130, 155, 150, 155);
ORI	R28, R0, 155
ORI	R27, R0, 150
ORI	R26, R0, 155
ORI	R25, R0, 130
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,125 :: 		TFT_Line(100, 155, 130, 135);    // OPEN switch
ORI	R28, R0, 135
ORI	R27, R0, 130
ORI	R26, R0, 155
ORI	R25, R0, 100
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,128 :: 		TFT_Line(240, 155, 260, 155);
ORI	R28, R0, 155
ORI	R27, R0, 260
ORI	R26, R0, 155
ORI	R25, R0, 240
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,129 :: 		TFT_Line(290, 155, 310, 155);
ORI	R28, R0, 155
ORI	R27, R0, 310
ORI	R26, R0, 155
ORI	R25, R0, 290
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,130 :: 		TFT_Line(260, 155, 290, 135);    // OPEN switch
ORI	R28, R0, 135
ORI	R27, R0, 290
ORI	R26, R0, 155
ORI	R25, R0, 260
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,132 :: 		}
L_end_DrawFrame:
LW	R28, 16(SP)
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _DrawFrame
_main:
;SignalRelayPIC32.c,134 :: 		void main()
;SignalRelayPIC32.c,136 :: 		Display_Init();
JAL	_Display_Init+0
NOP	
;SignalRelayPIC32.c,137 :: 		DrawFrame();
JAL	_DrawFrame+0
NOP	
;SignalRelayPIC32.c,139 :: 		oldA15 = false;
SB	R0, Offset(_oldA15+0)(GP)
;SignalRelayPIC32.c,140 :: 		oldA14= false;
SB	R0, Offset(_oldA14+0)(GP)
;SignalRelayPIC32.c,141 :: 		oldC4 = false;
SB	R0, Offset(_oldC4+0)(GP)
;SignalRelayPIC32.c,142 :: 		oldC3 = false;
SB	R0, Offset(_oldC3+0)(GP)
;SignalRelayPIC32.c,144 :: 		AD1PCFG = 0xFFFF;            // Configure AN pins as digital I/O
ORI	R2, R0, 65535
SW	R2, Offset(AD1PCFG+0)(GP)
;SignalRelayPIC32.c,145 :: 		JTAGEN_bit = 0;              // Disable JTAG
_LX	
INS	R2, R0, BitPos(JTAGEN_bit+0), 1
_SX	
;SignalRelayPIC32.c,146 :: 		TRISB8_bit = 0;              // Set PORTB.8 pin as output
LUI	R2, BitMask(TRISB8_bit+0)
ORI	R2, R2, BitMask(TRISB8_bit+0)
_SX	
;SignalRelayPIC32.c,147 :: 		TRISC1_bit = 0;              // Set PORTC.1 pin as output
LUI	R2, BitMask(TRISC1_bit+0)
ORI	R2, R2, BitMask(TRISC1_bit+0)
_SX	
;SignalRelayPIC32.c,148 :: 		TRISC2_bit = 0;              // Set PORTC.2 pin as output
LUI	R2, BitMask(TRISC2_bit+0)
ORI	R2, R2, BitMask(TRISC2_bit+0)
_SX	
;SignalRelayPIC32.c,149 :: 		TRISD0_bit = 0;              // Set PORTD.0 pin as output
LUI	R2, BitMask(TRISD0_bit+0)
ORI	R2, R2, BitMask(TRISD0_bit+0)
_SX	
;SignalRelayPIC32.c,151 :: 		TRISA15_bit = 1;             // Set PORTA.15 pin as input
LUI	R2, BitMask(TRISA15_bit+0)
ORI	R2, R2, BitMask(TRISA15_bit+0)
_SX	
;SignalRelayPIC32.c,152 :: 		TRISA14_bit = 1;             // Set PORTA.14 pin as input
LUI	R2, BitMask(TRISA14_bit+0)
ORI	R2, R2, BitMask(TRISA14_bit+0)
_SX	
;SignalRelayPIC32.c,153 :: 		TRISC4_bit = 1;              // Set PORTC.4 pin as input
LUI	R2, BitMask(TRISC4_bit+0)
ORI	R2, R2, BitMask(TRISC4_bit+0)
_SX	
;SignalRelayPIC32.c,154 :: 		TRISC3_bit = 1;              // Set PORTC.3 pin as input
LUI	R2, BitMask(TRISC3_bit+0)
ORI	R2, R2, BitMask(TRISC3_bit+0)
_SX	
;SignalRelayPIC32.c,156 :: 		LATB8_bit = 0;               // Set PORTB.8 pin value to 0
LUI	R2, BitMask(LATB8_bit+0)
ORI	R2, R2, BitMask(LATB8_bit+0)
_SX	
;SignalRelayPIC32.c,157 :: 		LATC1_bit = 0;               // Set PORTC.1 pin value to 0
LUI	R2, BitMask(LATC1_bit+0)
ORI	R2, R2, BitMask(LATC1_bit+0)
_SX	
;SignalRelayPIC32.c,158 :: 		LATC2_bit = 0;               // Set PORTC.2 pin value to 0
LUI	R2, BitMask(LATC2_bit+0)
ORI	R2, R2, BitMask(LATC2_bit+0)
_SX	
;SignalRelayPIC32.c,159 :: 		LATD0_bit = 0;               // Set PORTD.0 pin value to 0
LUI	R2, BitMask(LATD0_bit+0)
ORI	R2, R2, BitMask(LATD0_bit+0)
_SX	
;SignalRelayPIC32.c,161 :: 		while(1) {
L_main0:
;SignalRelayPIC32.c,164 :: 		if (Button(&PORTA, 15, 1, 1))     // detect logical one on PORTA15 pin
ORI	R28, R0, 1
ORI	R27, R0, 1
ORI	R26, R0, 15
LUI	R25, hi_addr(PORTA+0)
ORI	R25, R25, lo_addr(PORTA+0)
JAL	_Button+0
NOP	
BNE	R2, R0, L__main34
NOP	
J	L_main2
NOP	
L__main34:
;SignalRelayPIC32.c,167 :: 		if (!oldA15)     // detect zero-to-one transition
LBU	R2, Offset(_oldA15+0)(GP)
BEQ	R2, R0, L__main35
NOP	
J	L_main3
NOP	
L__main35:
;SignalRelayPIC32.c,169 :: 		Delay_ms(200);
LUI	R24, 81
ORI	R24, R24, 24916
L_main4:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main4
NOP	
NOP	
NOP	
;SignalRelayPIC32.c,171 :: 		TFT_Set_Pen(CL_WHITE, 5);
ORI	R26, R0, 5
ORI	R25, R0, 65535
JAL	_TFT_Set_Pen+0
NOP	
;SignalRelayPIC32.c,172 :: 		TFT_Set_Brush(1, CL_WHITE, 0, 0, CL_WHITE, CL_WHITE);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 65535
ORI	R25, R0, 1
ORI	R2, R0, 65535
ADDIU	SP, SP, -4
SH	R2, 2(SP)
ORI	R2, R0, 65535
SH	R2, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;SignalRelayPIC32.c,173 :: 		TFT_Line(100, 100, 130, 80);     // OPEN switch
ORI	R28, R0, 80
ORI	R27, R0, 130
ORI	R26, R0, 100
ORI	R25, R0, 100
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,176 :: 		TFT_Set_Pen(CL_RED, 5);
ORI	R26, R0, 5
ORI	R25, R0, 63488
JAL	_TFT_Set_Pen+0
NOP	
;SignalRelayPIC32.c,177 :: 		TFT_Set_Brush(1, CL_RED, 0, 0, CL_RED, CL_RED);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
ORI	R25, R0, 1
ORI	R2, R0, 63488
ADDIU	SP, SP, -4
SH	R2, 2(SP)
ORI	R2, R0, 63488
SH	R2, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;SignalRelayPIC32.c,179 :: 		TFT_Line(100, 100, 130, 100);     // CLOSED switch
ORI	R28, R0, 100
ORI	R27, R0, 130
ORI	R26, R0, 100
ORI	R25, R0, 100
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,181 :: 		oldA15 = 1;
ORI	R2, R0, 1
SB	R2, Offset(_oldA15+0)(GP)
;SignalRelayPIC32.c,182 :: 		LATB8_bit = 1;
LUI	R2, BitMask(LATB8_bit+0)
ORI	R2, R2, BitMask(LATB8_bit+0)
_SX	
;SignalRelayPIC32.c,184 :: 		}
J	L_main6
NOP	
L_main3:
;SignalRelayPIC32.c,187 :: 		Delay_ms(200);
LUI	R24, 81
ORI	R24, R24, 24916
L_main7:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main7
NOP	
NOP	
NOP	
;SignalRelayPIC32.c,189 :: 		TFT_Set_Pen(CL_WHITE, 5);
ORI	R26, R0, 5
ORI	R25, R0, 65535
JAL	_TFT_Set_Pen+0
NOP	
;SignalRelayPIC32.c,190 :: 		TFT_Set_Brush(1, CL_WHITE, 0, 0, CL_WHITE, CL_WHITE);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 65535
ORI	R25, R0, 1
ORI	R2, R0, 65535
ADDIU	SP, SP, -4
SH	R2, 2(SP)
ORI	R2, R0, 65535
SH	R2, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;SignalRelayPIC32.c,191 :: 		TFT_Line(100, 100, 130, 100);     // CLOSED switch
ORI	R28, R0, 100
ORI	R27, R0, 130
ORI	R26, R0, 100
ORI	R25, R0, 100
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,194 :: 		TFT_Set_Pen(CL_RED, 5);
ORI	R26, R0, 5
ORI	R25, R0, 63488
JAL	_TFT_Set_Pen+0
NOP	
;SignalRelayPIC32.c,195 :: 		TFT_Set_Brush(1, CL_RED, 0, 0, CL_RED, CL_RED);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
ORI	R25, R0, 1
ORI	R2, R0, 63488
ADDIU	SP, SP, -4
SH	R2, 2(SP)
ORI	R2, R0, 63488
SH	R2, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;SignalRelayPIC32.c,196 :: 		TFT_Line(100, 100, 130, 80);     // OPEN switch
ORI	R28, R0, 80
ORI	R27, R0, 130
ORI	R26, R0, 100
ORI	R25, R0, 100
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,198 :: 		oldA15 = 0;
SB	R0, Offset(_oldA15+0)(GP)
;SignalRelayPIC32.c,199 :: 		LATB8_bit = 0;
LUI	R2, BitMask(LATB8_bit+0)
ORI	R2, R2, BitMask(LATB8_bit+0)
_SX	
;SignalRelayPIC32.c,200 :: 		}
L_main6:
;SignalRelayPIC32.c,201 :: 		}
L_main2:
;SignalRelayPIC32.c,204 :: 		if (Button(&PORTC, 4, 1, 1))    // detect logical one on PORTC4 pin
ORI	R28, R0, 1
ORI	R27, R0, 1
ORI	R26, R0, 4
LUI	R25, hi_addr(PORTC+0)
ORI	R25, R25, lo_addr(PORTC+0)
JAL	_Button+0
NOP	
BNE	R2, R0, L__main37
NOP	
J	L_main9
NOP	
L__main37:
;SignalRelayPIC32.c,207 :: 		if (!oldC4)           // detect zero-to-one transition
LBU	R2, Offset(_oldC4+0)(GP)
BEQ	R2, R0, L__main38
NOP	
J	L_main10
NOP	
L__main38:
;SignalRelayPIC32.c,209 :: 		Delay_ms(200);
LUI	R24, 81
ORI	R24, R24, 24916
L_main11:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main11
NOP	
NOP	
NOP	
;SignalRelayPIC32.c,211 :: 		TFT_Set_Pen(CL_WHITE, 5);
ORI	R26, R0, 5
ORI	R25, R0, 65535
JAL	_TFT_Set_Pen+0
NOP	
;SignalRelayPIC32.c,212 :: 		TFT_Set_Brush(1, CL_WHITE, 0, 0, CL_WHITE, CL_WHITE);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 65535
ORI	R25, R0, 1
ORI	R2, R0, 65535
ADDIU	SP, SP, -4
SH	R2, 2(SP)
ORI	R2, R0, 65535
SH	R2, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;SignalRelayPIC32.c,213 :: 		TFT_Line(260, 100, 290, 80);    // OPEN switch
ORI	R28, R0, 80
ORI	R27, R0, 290
ORI	R26, R0, 100
ORI	R25, R0, 260
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,216 :: 		TFT_Set_Pen(CL_RED, 5);
ORI	R26, R0, 5
ORI	R25, R0, 63488
JAL	_TFT_Set_Pen+0
NOP	
;SignalRelayPIC32.c,217 :: 		TFT_Set_Brush(1, CL_RED, 0, 0, CL_RED, CL_RED);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
ORI	R25, R0, 1
ORI	R2, R0, 63488
ADDIU	SP, SP, -4
SH	R2, 2(SP)
ORI	R2, R0, 63488
SH	R2, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;SignalRelayPIC32.c,219 :: 		TFT_Line(260, 100, 290, 100); // CLOSED switch
ORI	R28, R0, 100
ORI	R27, R0, 290
ORI	R26, R0, 100
ORI	R25, R0, 260
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,221 :: 		oldC4 = 1;
ORI	R2, R0, 1
SB	R2, Offset(_oldC4+0)(GP)
;SignalRelayPIC32.c,222 :: 		LATC1_bit = 1;
LUI	R2, BitMask(LATC1_bit+0)
ORI	R2, R2, BitMask(LATC1_bit+0)
_SX	
;SignalRelayPIC32.c,224 :: 		}
J	L_main13
NOP	
L_main10:
;SignalRelayPIC32.c,227 :: 		Delay_ms(200);
LUI	R24, 81
ORI	R24, R24, 24916
L_main14:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main14
NOP	
NOP	
NOP	
;SignalRelayPIC32.c,229 :: 		TFT_Set_Pen(CL_WHITE, 5);
ORI	R26, R0, 5
ORI	R25, R0, 65535
JAL	_TFT_Set_Pen+0
NOP	
;SignalRelayPIC32.c,230 :: 		TFT_Set_Brush(1, CL_WHITE, 0, 0, CL_WHITE, CL_WHITE);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 65535
ORI	R25, R0, 1
ORI	R2, R0, 65535
ADDIU	SP, SP, -4
SH	R2, 2(SP)
ORI	R2, R0, 65535
SH	R2, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;SignalRelayPIC32.c,231 :: 		TFT_Line(260, 100, 290, 100); // CLOSED switch
ORI	R28, R0, 100
ORI	R27, R0, 290
ORI	R26, R0, 100
ORI	R25, R0, 260
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,234 :: 		TFT_Set_Pen(CL_RED, 5);
ORI	R26, R0, 5
ORI	R25, R0, 63488
JAL	_TFT_Set_Pen+0
NOP	
;SignalRelayPIC32.c,235 :: 		TFT_Set_Brush(1, CL_RED, 0, 0, CL_RED, CL_RED);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
ORI	R25, R0, 1
ORI	R2, R0, 63488
ADDIU	SP, SP, -4
SH	R2, 2(SP)
ORI	R2, R0, 63488
SH	R2, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;SignalRelayPIC32.c,236 :: 		TFT_Line(260, 100, 290, 80);    // OPEN switch
ORI	R28, R0, 80
ORI	R27, R0, 290
ORI	R26, R0, 100
ORI	R25, R0, 260
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,238 :: 		oldC4 = 0;
SB	R0, Offset(_oldC4+0)(GP)
;SignalRelayPIC32.c,239 :: 		LATC1_bit = 0;
LUI	R2, BitMask(LATC1_bit+0)
ORI	R2, R2, BitMask(LATC1_bit+0)
_SX	
;SignalRelayPIC32.c,240 :: 		}
L_main13:
;SignalRelayPIC32.c,241 :: 		}
L_main9:
;SignalRelayPIC32.c,244 :: 		if (Button(&PORTA, 14, 1, 1))           // detect logical one on PORTA14 pin
ORI	R28, R0, 1
ORI	R27, R0, 1
ORI	R26, R0, 14
LUI	R25, hi_addr(PORTA+0)
ORI	R25, R25, lo_addr(PORTA+0)
JAL	_Button+0
NOP	
BNE	R2, R0, L__main40
NOP	
J	L_main16
NOP	
L__main40:
;SignalRelayPIC32.c,247 :: 		if (!oldA14)           // detect zero-to-one transition
LBU	R2, Offset(_oldA14+0)(GP)
BEQ	R2, R0, L__main41
NOP	
J	L_main17
NOP	
L__main41:
;SignalRelayPIC32.c,249 :: 		Delay_ms(200);
LUI	R24, 81
ORI	R24, R24, 24916
L_main18:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main18
NOP	
NOP	
NOP	
;SignalRelayPIC32.c,251 :: 		TFT_Set_Pen(CL_WHITE, 5);
ORI	R26, R0, 5
ORI	R25, R0, 65535
JAL	_TFT_Set_Pen+0
NOP	
;SignalRelayPIC32.c,252 :: 		TFT_Set_Brush(1, CL_WHITE, 0, 0, CL_WHITE, CL_WHITE);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 65535
ORI	R25, R0, 1
ORI	R2, R0, 65535
ADDIU	SP, SP, -4
SH	R2, 2(SP)
ORI	R2, R0, 65535
SH	R2, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;SignalRelayPIC32.c,253 :: 		TFT_Line(100, 155, 130, 135); // OPEN switch
ORI	R28, R0, 135
ORI	R27, R0, 130
ORI	R26, R0, 155
ORI	R25, R0, 100
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,256 :: 		TFT_Set_Pen(CL_RED, 5);
ORI	R26, R0, 5
ORI	R25, R0, 63488
JAL	_TFT_Set_Pen+0
NOP	
;SignalRelayPIC32.c,257 :: 		TFT_Set_Brush(1, CL_RED, 0, 0, CL_RED, CL_RED);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
ORI	R25, R0, 1
ORI	R2, R0, 63488
ADDIU	SP, SP, -4
SH	R2, 2(SP)
ORI	R2, R0, 63488
SH	R2, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;SignalRelayPIC32.c,259 :: 		TFT_Line(100, 155, 130, 155); // CLOSED switch
ORI	R28, R0, 155
ORI	R27, R0, 130
ORI	R26, R0, 155
ORI	R25, R0, 100
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,261 :: 		oldA14 = 1;
ORI	R2, R0, 1
SB	R2, Offset(_oldA14+0)(GP)
;SignalRelayPIC32.c,262 :: 		LATC2_bit = 1;
LUI	R2, BitMask(LATC2_bit+0)
ORI	R2, R2, BitMask(LATC2_bit+0)
_SX	
;SignalRelayPIC32.c,264 :: 		}
J	L_main20
NOP	
L_main17:
;SignalRelayPIC32.c,267 :: 		Delay_ms(200);
LUI	R24, 81
ORI	R24, R24, 24916
L_main21:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main21
NOP	
NOP	
NOP	
;SignalRelayPIC32.c,269 :: 		TFT_Set_Pen(CL_WHITE, 5);
ORI	R26, R0, 5
ORI	R25, R0, 65535
JAL	_TFT_Set_Pen+0
NOP	
;SignalRelayPIC32.c,270 :: 		TFT_Set_Brush(1, CL_WHITE, 0, 0, CL_WHITE, CL_WHITE);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 65535
ORI	R25, R0, 1
ORI	R2, R0, 65535
ADDIU	SP, SP, -4
SH	R2, 2(SP)
ORI	R2, R0, 65535
SH	R2, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;SignalRelayPIC32.c,271 :: 		TFT_Line(100, 155, 130, 155); // CLOSED switch
ORI	R28, R0, 155
ORI	R27, R0, 130
ORI	R26, R0, 155
ORI	R25, R0, 100
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,274 :: 		TFT_Set_Pen(CL_RED, 5);
ORI	R26, R0, 5
ORI	R25, R0, 63488
JAL	_TFT_Set_Pen+0
NOP	
;SignalRelayPIC32.c,275 :: 		TFT_Set_Brush(1, CL_RED, 0, 0, CL_RED, CL_RED);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
ORI	R25, R0, 1
ORI	R2, R0, 63488
ADDIU	SP, SP, -4
SH	R2, 2(SP)
ORI	R2, R0, 63488
SH	R2, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;SignalRelayPIC32.c,276 :: 		TFT_Line(100, 155, 130, 135); // OPEN switch
ORI	R28, R0, 135
ORI	R27, R0, 130
ORI	R26, R0, 155
ORI	R25, R0, 100
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,278 :: 		oldA14 = 0;
SB	R0, Offset(_oldA14+0)(GP)
;SignalRelayPIC32.c,279 :: 		LATC2_bit = 0;
LUI	R2, BitMask(LATC2_bit+0)
ORI	R2, R2, BitMask(LATC2_bit+0)
_SX	
;SignalRelayPIC32.c,280 :: 		}
L_main20:
;SignalRelayPIC32.c,281 :: 		}
L_main16:
;SignalRelayPIC32.c,284 :: 		if (Button(&PORTC, 3, 1, 1))           // detect logical one on PORTA14 pin
ORI	R28, R0, 1
ORI	R27, R0, 1
ORI	R26, R0, 3
LUI	R25, hi_addr(PORTC+0)
ORI	R25, R25, lo_addr(PORTC+0)
JAL	_Button+0
NOP	
BNE	R2, R0, L__main43
NOP	
J	L_main23
NOP	
L__main43:
;SignalRelayPIC32.c,287 :: 		if (!oldC3)           // detect zero-to-one transition
LBU	R2, Offset(_oldC3+0)(GP)
BEQ	R2, R0, L__main44
NOP	
J	L_main24
NOP	
L__main44:
;SignalRelayPIC32.c,289 :: 		Delay_ms(200);
LUI	R24, 81
ORI	R24, R24, 24916
L_main25:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main25
NOP	
NOP	
NOP	
;SignalRelayPIC32.c,291 :: 		TFT_Set_Pen(CL_WHITE, 5);
ORI	R26, R0, 5
ORI	R25, R0, 65535
JAL	_TFT_Set_Pen+0
NOP	
;SignalRelayPIC32.c,292 :: 		TFT_Set_Brush(1, CL_WHITE, 0, 0, CL_WHITE, CL_WHITE);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 65535
ORI	R25, R0, 1
ORI	R2, R0, 65535
ADDIU	SP, SP, -4
SH	R2, 2(SP)
ORI	R2, R0, 65535
SH	R2, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;SignalRelayPIC32.c,293 :: 		TFT_Line(260, 155, 290, 135); // OPEN switch
ORI	R28, R0, 135
ORI	R27, R0, 290
ORI	R26, R0, 155
ORI	R25, R0, 260
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,296 :: 		TFT_Set_Pen(CL_RED, 5);
ORI	R26, R0, 5
ORI	R25, R0, 63488
JAL	_TFT_Set_Pen+0
NOP	
;SignalRelayPIC32.c,297 :: 		TFT_Set_Brush(1, CL_RED, 0, 0, CL_RED, CL_RED);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
ORI	R25, R0, 1
ORI	R2, R0, 63488
ADDIU	SP, SP, -4
SH	R2, 2(SP)
ORI	R2, R0, 63488
SH	R2, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;SignalRelayPIC32.c,299 :: 		TFT_Line(260, 155, 290, 155); // CLOSED switch
ORI	R28, R0, 155
ORI	R27, R0, 290
ORI	R26, R0, 155
ORI	R25, R0, 260
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,301 :: 		oldC3 = 1;
ORI	R2, R0, 1
SB	R2, Offset(_oldC3+0)(GP)
;SignalRelayPIC32.c,302 :: 		LATD0_bit = 1;
LUI	R2, BitMask(LATD0_bit+0)
ORI	R2, R2, BitMask(LATD0_bit+0)
_SX	
;SignalRelayPIC32.c,304 :: 		}
J	L_main27
NOP	
L_main24:
;SignalRelayPIC32.c,307 :: 		Delay_ms(200);
LUI	R24, 81
ORI	R24, R24, 24916
L_main28:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main28
NOP	
NOP	
NOP	
;SignalRelayPIC32.c,309 :: 		TFT_Set_Pen(CL_WHITE, 5);
ORI	R26, R0, 5
ORI	R25, R0, 65535
JAL	_TFT_Set_Pen+0
NOP	
;SignalRelayPIC32.c,310 :: 		TFT_Set_Brush(1, CL_WHITE, 0, 0, CL_WHITE, CL_WHITE);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 65535
ORI	R25, R0, 1
ORI	R2, R0, 65535
ADDIU	SP, SP, -4
SH	R2, 2(SP)
ORI	R2, R0, 65535
SH	R2, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;SignalRelayPIC32.c,311 :: 		TFT_Line(260, 155, 290, 155); // CLOSED switch
ORI	R28, R0, 155
ORI	R27, R0, 290
ORI	R26, R0, 155
ORI	R25, R0, 260
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,314 :: 		TFT_Set_Pen(CL_RED, 5);
ORI	R26, R0, 5
ORI	R25, R0, 63488
JAL	_TFT_Set_Pen+0
NOP	
;SignalRelayPIC32.c,315 :: 		TFT_Set_Brush(1, CL_RED, 0, 0, CL_RED, CL_RED);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
ORI	R25, R0, 1
ORI	R2, R0, 63488
ADDIU	SP, SP, -4
SH	R2, 2(SP)
ORI	R2, R0, 63488
SH	R2, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;SignalRelayPIC32.c,316 :: 		TFT_Line(260, 155, 290, 135); // OPEN switch
ORI	R28, R0, 135
ORI	R27, R0, 290
ORI	R26, R0, 155
ORI	R25, R0, 260
JAL	_TFT_Line+0
NOP	
;SignalRelayPIC32.c,318 :: 		oldC3 = 0;
SB	R0, Offset(_oldC3+0)(GP)
;SignalRelayPIC32.c,319 :: 		LATD0_bit = 0;
LUI	R2, BitMask(LATD0_bit+0)
ORI	R2, R2, BitMask(LATD0_bit+0)
_SX	
;SignalRelayPIC32.c,320 :: 		}
L_main27:
;SignalRelayPIC32.c,321 :: 		}
L_main23:
;SignalRelayPIC32.c,323 :: 		}
J	L_main0
NOP	
;SignalRelayPIC32.c,325 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
